UUCP package contains multiple buffer overflows via long string of characters sent as command line argument

2001-07-27T00:00:00
ID VU:971179
Type cert
Reporter CERT
Modified 2001-10-31T14:39:00

Description

Overview

Several Linux/Unix systems ship with a utility package called UUCP derived from System V. A buffer overflow in components of the UUCP package can allow an intruder to gain elevated privileges.

Description

Several Linux/Unix systems ship with a utility package called UUCP derived from System V. The UUCP package allows for the copying of files between different UNIX systems and the sending of commands for execution on a remote system. There is a buffer overflow in the components listed below that can allow a malicious user to gain elevated privileges.

uucp
uuxcmd
uux
uuxqt
bnuconvert
uucico
uustat


Impact

An intruder can gain elevated privileges.


Solution

Upgrade to the version of UUCP specified by your vendor.


Vendor Information

971179

Filter by status: All Affected Not Affected Unknown

Filter by content: __ Additional information available

__ Sort by: Status Alphabetical

Expand all

Javascript is disabled. Click here to view vendors.

SCO __ Affected

Updated: September 25, 2001

Status

Affected

Vendor Statement

<ftp://ftp.sco.com/pub/security/unixware/sr847405/sr847405.txt>

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

Note that Caldera purchased SCO.

If you have feedback, comments, or additional information about this vulnerability, please send us email.

Apple __ Not Affected

Updated: September 26, 2001

Status

Not Affected

Vendor Statement

Mac OS X is not vulnerable to the UUCP problems described in this advisory.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.

Cray __ Not Affected

Updated: October 15, 2001

Status

Not Affected

Vendor Statement

Cray, Inc. is not vulnerable because uucp is not fully implemented under UNICOS and UNICOS/mk. For more details see Cray SPR 721112.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

SPR's are available to Cray customers only.

If you have feedback, comments, or additional information about this vulnerability, please send us email.

Fujitsu Not Affected

Updated: October 31, 2001

Status

Not Affected

Vendor Statement

We have not received a statement from the vendor.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.

IBM __ Not Affected

Updated: September 26, 2001

Status

Not Affected

Vendor Statement

IBM's AIX operating system is not vulnerable to this exploit in uucp.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.

CVSS Metrics

Group | Score | Vector
---|---|---
Base | |
Temporal | |
Environmental | |

References

  • <http://www.securityfocus.com/bid/2946>
  • <ftp://ftp.sco.com/pub/security/unixware/sr847405/>
  • <ftp://ftp.sco.com/pub/security/unixware/sr847405/sr847405.txt>

Acknowledgements

This vulnerability was originally reported in a Caldera-SCO security advisory.

This document was written by Jason Rafail.

Other Information

CVE IDs: | None
---|---
Severity Metric: | 8.91
Date Public: | 2001-06-27
Date First Published: | 2001-07-27
Date Last Updated: | 2001-10-31 14:39 UTC
Document Revision: | 20